Contents

# Atn Function

Trigonometric function that returns the arctangent of a numeric expression. The return value is in the range -Pi/2 to +Pi/2.

The arctangent is the inverse of the tangent function. The Atn Function returns the angle "Alpha", expressed in radians, using the tangent of this angle. The function can also return the angle "Alpha" by comparing the ratio of the length of the side that is opposite of the angle to the length of the side that is adjacent to the angle in a right-angled triangle.

Atn(side opposite the angle/side adjacent to angle)= Alpha

### Syntax:

            Atn (Number As Double) As Double

### Return value:

Double

### Parameters:

Number: Any numerical expression that represents the ratio of two sides of a right triangle. The Atn function returns the corresponding angle in radians (arctangent).

To convert radians to degrees, multiply radians by 180/pi.

degree=(radian*180)/pi

radian=(degree*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

### Error codes:

5 Nederīgs procedūras izsaukums

### Example:

            ' The following example calculates for a right-angled triangle
            ' the angle Alpha from the tangent of the angle Alpha:
            Sub ExampleAtn
            ' rounded Pi = 3.14159 Is a predefined constant
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Enter the length of the side adjacent to the angle: ","Adjacent")
                d2 = InputBox("Enter the length of the side opposite the angle: ","Opposite")
                Print "The Alpha angle is"; (atn (d2/d1) * 180 / Pi); " degrees"
            End Sub

Saistītie temati

Cos Function

Sin Function

Tan Function